GET /level/16/exec/-///pwd

I am picking up this in my logs

GET /level/16/exec/-///pwd

is this anything to be concerned over?

This site was only bought two weeks ago. Why would someone be searching for vulnerabilities? We have competitors…but not the type to hack.